
`include "fulladder.v"


module top;

wire [3:0] sum;
reg [3:0] in1;
reg [3:0] in2;

reg cin;
wire cout;
integer i,j,k;

full_adder fa(.sum(sum),.cout(cout),.in1(in1),.in2(in2),
					.cin(cin) );
initial					
$dumpfile("adder.dmp");					

initial 
$dumpvars(0,top);
initial 
begin
	in1 = 4'b0;
	in2 = 4'b0;
	cin = 1'b0;
	for(k = 0;k <=1;k=k+1)
	begin
		cin = k;
		for(i=0;i<16;i=i+1)
		begin
			for(j=0;j<16;j=j+1)
			begin
				#5 in2=in2+1;
			end
			in1=in1+1;
			$display();
		end
	end
end

initial
$monitor($time,
" sum = %2d; cout = %1d; cin = %1d; in1 = %2d; in2 = %2d",
				sum,cout,cin,in1,in2);

endmodule
